<?php


function interevent_prevent_missing_menu_props($menu_item) {

    return $menu_item;
}

add_filter('wp_setup_nav_menu_item', 'interevent_prevent_missing_menu_props', PHP_INT_MAX);


function interevent_get_nav_menu_items($items, $menu, $args) {

    return $items;
}

add_filter('wp_get_nav_menu_items', 'interevent_get_nav_menu_items', PHP_INT_MAX, 3);